aboutsummaryrefslogtreecommitdiffstats
path: root/tools/testing/selftests/rcutorture/bin/kvm.sh
diff options
context:
space:
mode:
authorPaul E. McKenney <paulmck@kernel.org>2020-11-22 09:55:34 -0800
committerPaul E. McKenney <paulmck@kernel.org>2021-01-04 14:01:21 -0800
commit0bcca18348cfde8e59b77cdf6f3e278289a16e67 (patch)
treecc5cbdd6aef743a52fbff840cbfcee6e157fce23 /tools/testing/selftests/rcutorture/bin/kvm.sh
parenttorture: Make kvm.sh arguments accumulate (diff)
downloadlinux-dev-0bcca18348cfde8e59b77cdf6f3e278289a16e67.tar.xz
linux-dev-0bcca18348cfde8e59b77cdf6f3e278289a16e67.zip
torture: Print run duration at end of kvm.sh execution
Yes, you can mentally subtract the timestamps, but this commit makes the computer do this work. Signed-off-by: Paul E. McKenney <paulmck@kernel.org>
Diffstat (limited to 'tools/testing/selftests/rcutorture/bin/kvm.sh')
-rwxr-xr-xtools/testing/selftests/rcutorture/bin/kvm.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/tools/testing/selftests/rcutorture/bin/kvm.sh b/tools/testing/selftests/rcutorture/bin/kvm.sh
index 6fd7ef7726a5..6f2126815e22 100755
--- a/tools/testing/selftests/rcutorture/bin/kvm.sh
+++ b/tools/testing/selftests/rcutorture/bin/kvm.sh
@@ -47,6 +47,9 @@ cpus=0
ds=`date +%Y.%m.%d-%H.%M.%S`
jitter="-1"
+startdate="`date`"
+starttime="`get_starttime`"
+
usage () {
echo "Usage: $scriptname optional arguments:"
echo " --allcpus"
@@ -548,6 +551,9 @@ then
else
# Not a dryrun, so run the script.
sh $T/script
+ ret=$?
+ echo " --- Done at `date` (`get_starttime_duration $starttime`)"
+ exit $ret
fi
# Tracing: trace_event=rcu:rcu_grace_period,rcu:rcu_future_grace_period,rcu:rcu_grace_period_init,rcu:rcu_nocb_wake,rcu:rcu_preempt_task,rcu:rcu_unlock_preempted_task,rcu:rcu_quiescent_state_report,rcu:rcu_fqs,rcu:rcu_callback,rcu:rcu_kfree_callback,rcu:rcu_batch_start,rcu:rcu_invoke_callback,rcu:rcu_invoke_kfree_callback,rcu:rcu_batch_end,rcu:rcu_torture_read,rcu:rcu_barrier